RK-A2 - Feature #3651

Task # 3653 (Closed): Launch with first chapter support - Phase 1 - Practice for Decent Learners (Top 5 Themes, No DetailedQNAs, No Detailed
Answers)

Make the conversation smoother
07/04/2024 07:26 AM - Ram Kordale

Status: Closed Start date: 07/04/2024
Priority: Urgent Due date:

Assignee: Ayanava Karmakar % Done: 100%
Category: Estimated time: 0.60 hour
Target version: Spent time: 0.00 hour
Description

In curriculum="k-12", when user selects grade and subject, let us (system) say "Welcome to RapidKen! Ready for a question? Please
type (y/n).".

Once we are done with a question, we currently show the next problem immediately. Instead say "Ready for the next question?
Please type (y/n).

At the end of every question, append "<newline>If you want to skip answering, please type skip. Otherwise, please answer." If user
types "skip", go to the next step and show the answer. If not, wait for the user's answer.

Prepend "Here's the detailed answer. <newline>" to the detailed answer.

Prepend "Okay! <newline>" to the first detailedQNA.

History

#1 - 07/04/2024 07:26 AM - Ram Kordale

- Assignee set to Shubham Boke

#2 - 07/04/2024 07:29 AM - Shubham Boke

- Status changed from New to In Progress

#3 - 07/04/2024 08:50 AM - Shubham Boke
- % Done changed from 0 to 30

#4 - 07/04/2024 08:55 AM - Ram Kordale
- Parent task set to #3650

#5 - 07/04/2024 10:26 AM - Shubham Boke
- % Done changed from 30 to 70

#6 - 07/04/2024 11:06 AM - Ayanava Karmakar
- Estimated time setto 1.25 h

#7 - 07/04/2024 11:15 AM - Ayanava Karmakar
- Estimated time changed from 1.25 h to 0.60 h

#8 - 07/05/2024 06:44 AM - Shubham Boke
- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

#9 - 07/05/2024 06:45 AM - Shubham Boke

- Status changed from Resolved to Feedback

#10 - 07/06/2024 12:30 PM - Ram Kordale
- Parent task changed from #3650 to #3653

#11 - 07/09/2024 06:20 AM - Ayanava Karmakar

- Status changed from Feedback to Resolved

#12 - 07/09/2024 06:20 AM - Ayanava Karmakar
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Ayanava Karmakar

#13 - 07/09/2024 11:24 AM - Ayanava Karmakar
- Status changed from Review to Reopened

- Assignee changed from Ayanava Karmakar to Shubham Boke

#14 - 07/17/2024 06:33 AM - Shubham Boke

- Status changed from Reopened to In Progress

#15 - 07/17/2024 06:34 AM - Shubham Boke

- Status changed from In Progress to Feedback

#16 - 09/10/2024 01:40 PM - Shubham Boke

- Status changed from Feedback to Resolved

#17 - 09/10/2024 01:40 PM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Ayanava Karmakar

#18 - 09/25/2024 08:36 AM - Ram Kordale

- Status changed from Review to Feedback

#19 - 09/25/2024 08:37 AM - Ram Kordale
- Status changed from Feedback to Closed
